Create an item received
const url = 'https://apisandbox.puurk.com/items-received';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"example","client_id":"example","oid":"example","service_id":"example","service_name":"example","offer_id":"example","contract_id":"example","merge_contract_id":"example","quantity":1,"amount":1,"provider_id":"example","provider_name":"example","date_received":"2026-04-15T12:00:00Z","notes":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://apisandbox.puurk.com/items-received \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "client_id": "example", "oid": "example", "service_id": "example", "service_name": "example", "offer_id": "example", "contract_id": "example", "merge_contract_id": "example", "quantity": 1, "amount": 1, "provider_id": "example", "provider_name": "example", "date_received": "2026-04-15T12:00:00Z", "notes": "example" }'Record a new item received
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request body
object
Unique identifier for the item received
Identifier for the client
Organization identifier
Identifier for the service
Name of the service
Identifier for the offer
Identifier for the contract
Identifier for the merge contract
Quantity of items received
Amount of items received
Identifier for the provider
Name of the provider
Date when the item was received
Additional notes about the item received
Examplegenerated
{ "id": "example", "client_id": "example", "oid": "example", "service_id": "example", "service_name": "example", "offer_id": "example", "contract_id": "example", "merge_contract_id": "example", "quantity": 1, "amount": 1, "provider_id": "example", "provider_name": "example", "date_received": "2026-04-15T12:00:00Z", "notes": "example"}Responses
Section titled “Responses”Item received created
object
Unique identifier for the item received
Identifier for the client
Organization identifier
Identifier for the service
Name of the service
Identifier for the offer
Identifier for the contract
Identifier for the merge contract
Quantity of items received
Amount of items received
Identifier for the provider
Name of the provider
Date when the item was received
Additional notes about the item received
Examplegenerated
{ "id": "example", "client_id": "example", "oid": "example", "service_id": "example", "service_name": "example", "offer_id": "example", "contract_id": "example", "merge_contract_id": "example", "quantity": 1, "amount": 1, "provider_id": "example", "provider_name": "example", "date_received": "2026-04-15T12:00:00Z", "notes": "example"}Invalid input
Unauthorized